#declare Blanc1=rgbt<0.90,0.81,0.81,0.02>;
#declare Green1=rgbt<230,170,50,5>/255;
#declare Green2=rgbt<110,160,8,5>/255;
#declare Tan = rgbt <0.858824,0.576471,0.439216>;

// --------------------------------------
// Grass texture
// --------------------------------------
#declare P_Spotted =pigment {
spotted
    color_map {
        [0.0, 0.2   color Tan*0.1 color Tan*0.4]
        [0.2, 0.3   color Tan*0.4 color Green1]
        [0.3, 1.01   color Green1 color Green1*1.2]
    }
}

#declare P_Earth =pigment {
    spotted
    color_map {
        [0 color Tan*0.3]
        [0.6 color Tan*0.3]
        [0.6 color Green1*0.4]
        [1   color Green1*0.4]
    }
}
#declare P_Green=pigment{Green2*1.3}

#declare T_Grass01=texture {                  
    pigment {
        gradient y
        turbulence 0.2
        pigment_map {                                
            [0.0 P_Earth]
            [0.3 P_Green]
            [0.9 P_Spotted]
            [1.00 P_Earth]
        }
    }
    finish{ambient 0.01 diffuse 0.7 specular 0.2 roughness 0.015}
    scale <0.001,1,0.001>
 
} 



#declare Green1=rgbt<0.85,0.55,0.25,0.02>*0.65;
#declare Green2=rgbt<1.6,1.1,0.6,0.02>*0.65;
// --------------------------------------
// Grass texture
// --------------------------------------
#declare pigSpotted =pigment {
spotted
    color_map {
        [0.0, 0.2   color Tan*0.1 color Tan*0.2]
        [0.2, 0.3   color Tan*0.2 color Green1]
        [0.3, 1.01   color Green1 color Green1*1.2]
    }
}

#declare pigEarth =pigment {
    spotted
    color_map {
        [0 color Tan*0.15]
        [0.6 color Tan*0.15]
        [0.6 color Green1*0.4]
        [1   color Green1*0.4]
    }
}
#declare pigGreen=pigment{Green2*1.3}
#declare T_Grass02=texture {                  
  pigment {
    gradient y
    turbulence 0.2
      pigment_map {                                
        [0.0 pigEarth]
        [0.3 pigGreen]
        [0.9 pigSpotted]
        [1.00 pigEarth]
      }
    }
  finish{diffuse 0.7 specular 0.15 roughness 0.05}
  scale <0.001,1,0.001>
} 

#declare Green1=rgbt<0.65,0.7,0.4,0.02>*1;
#declare Green2=rgbt<1.4,1.60,0.8,0.02>*0.25;

#declare pigSpotted =pigment {
spotted
    color_map {
        [0.0, 0.2   color Tan*0.1 color Tan*0.6]
        [0.2, 0.3   color Tan*0.2 color Green1]
        [0.3, 1.01   color Green1 color Green1*1.2]
    }
}

#declare pigEarth =pigment {
    spotted
    color_map {
        [0 color Tan*0.15]
        [0.6 color Tan*0.15]
        [0.6 color Green1*0.4]
        [1   color Green1*0.4]
    }
}
#declare pigGreen=pigment{Green2*1.3}
#declare T_Grass03=texture {                  
  pigment {
    gradient y
    turbulence 0.2
      pigment_map {                                
        [0.0 pigEarth]
        [0.3 pigSpotted]
        [0.8 pigGreen]
        [1.00 pigGreen]
      }
    }
  finish{diffuse 0.7 specular 0.3 roughness 0.03}
  scale <0.001,1,0.001>
}


