// height_field by Roman Reiner (IRTC February 2006, Firelake)
// This renders the height_map for the land heightfield. I rendered it at 900x900

// MichaelJF: I used +h10000 +w10000, eliminated the hf_gray_16 and changed "ambient" to "emission"

camera {    
  orthographic
  location y  
  look_at 0
}

#declare pig1 = pigment {
    granite
    pigment_map {
      [0.0 rgb 0]
      [1.0 rgb 1]
    }
    scale .05
  }
#declare pig2 = pigment {
    wrinkles
    pigment_map {
      [0.0 rgb 1]
      [1.0 rgb 0]
    }
    scale .1
  }  

plane {
  y, 0     
  pigment {
    average
    pigment_map {
      [0.05 pig1]
      [1.00 pig2]
    }       
    translate <-5,0,-5>
    scale 10
  }     
  finish { emission 1 }
}